package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Cost_sheetRepository;
import com.realnet.vpspack.Entity.Cost_sheet
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class Cost_sheetService {
@Autowired
private Cost_sheetRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Cost_sheet Savedata(Cost_sheet data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Cost_sheet save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Cost_sheet> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Cost_sheet> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Cost_sheet> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Cost_sheet getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Cost_sheet update(Cost_sheet data,Integer id) {
	Cost_sheet old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

 

final Cost_sheet test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
